Bug 1029362 - [abrt] remmina-1.0.0-7.fc19: __fdelt_chk: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-7.fc19: __fdelt_chk: Process /usr/bin/remmina was killed...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d348d99b4864027a077c333ffe1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 04:23 EST by Pavel Alexeev
Modified: 2014-08-17 15:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-17 15:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.79 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: cgroup (180 bytes, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: core_backtrace (467.43 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: dso_list (14.63 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: environ (2.88 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: maps (109.17 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: open_fds (38.06 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details
File: var_log_messages (15.27 KB, text/plain)
2013-11-12 04:23 EST, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2013-11-12 04:23:13 EST
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: __fdelt_chk
executable:     /usr/bin/remmina
kernel:         3.11.7-200.hu.1.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (4 frames)
 #5 __fdelt_chk at fdelt_chk.c:25
 #6 remmina_rdp_main_loop at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_plugin.c:592
 #7 remmina_rdp_main at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_plugin.c:878
 #8 remmina_rdp_main_thread at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_plugin.c:892
Comment 1 Pavel Alexeev 2013-11-12 04:23:25 EST
Created attachment 822791 [details]
File: backtrace
Comment 2 Pavel Alexeev 2013-11-12 04:23:28 EST
Created attachment 822792 [details]
File: cgroup
Comment 3 Pavel Alexeev 2013-11-12 04:23:33 EST
Created attachment 822793 [details]
File: core_backtrace
Comment 4 Pavel Alexeev 2013-11-12 04:23:37 EST
Created attachment 822794 [details]
File: dso_list
Comment 5 Pavel Alexeev 2013-11-12 04:23:40 EST
Created attachment 822795 [details]
File: environ
Comment 6 Pavel Alexeev 2013-11-12 04:23:43 EST
Created attachment 822796 [details]
File: limits
Comment 7 Pavel Alexeev 2013-11-12 04:23:46 EST
Created attachment 822797 [details]
File: maps
Comment 8 Pavel Alexeev 2013-11-12 04:23:50 EST
Created attachment 822798 [details]
File: open_fds
Comment 9 Pavel Alexeev 2013-11-12 04:23:53 EST
Created attachment 822799 [details]
File: proc_pid_status
Comment 10 Pavel Alexeev 2013-11-12 04:23:59 EST
Created attachment 822800 [details]
File: var_log_messages
Comment 11 Christoph Wickert 2014-05-22 07:34:58 EDT
Assigning bug to new package maintainer.
Comment 12 Pavel Alexeev 2014-08-17 15:43:04 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Note You need to log in before you can comment on or make changes to this bug.